Bug 1870922 - oc get PodNetworkConnectivityCheck -n openshift-apiserver has no resource
Summary: oc get PodNetworkConnectivityCheck -n openshift-apiserver has no resource
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.0
Assignee: Luis Sanchez
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-21 03:53 UTC by Xingxing Xia
Modified: 2020-08-26 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 384 None closed Bug 1870922: oc get PodNetworkConnectivityCheck -n openshift-apiserver has no resource 2020-09-15 05:27:29 UTC

Description Xingxing Xia 2020-08-21 03:53:47 UTC
Description of problem:
Now openshift-kube-apiserver and openshift-apiserver pods have a new container called "*-check-endpoints" which is responsible for PodNetworkConnectivityCheck. But `oc get PodNetworkConnectivityCheck -n openshift-apiserver` has no resource.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-21-011653

How reproducible:
Always

Steps to Reproduce:
1. $ oc get PodNetworkConnectivityCheck -n openshift-kube-apiserver
NAME                                                                                             AGE
kube-apiserver-xxia821a-zj9zv-master-0-to-etcd-server-localhost                                  75m
...

$ oc get PodNetworkConnectivityCheck -n openshift-apiserver
No resources found in openshift-apiserver namespace.

Actual results:
1. OAS namespace has none.

Expected results:
1. OAS namespace should have like KAS. As per the slides in MSTR-1036 "Key Network Connections Between openshift-apiserver and ..." and the Description in MSTR-1008 "Network check is wired into openshift-apiserver (MUST)", openshift-apiserver should have too. And https://github.com/openshift/openshift-docs/pull/24927/files says "This resource keeps track of the latest reachable condition, the last 10 successes ..."

Additional info:

Comment 1 Xingxing Xia 2020-08-21 03:55:04 UTC
Adding "Regression" Keyword because I remember OAS also had when I first looked at the slides of MSTR-1036 and gave a try.

Comment 2 Xingxing Xia 2020-08-21 03:56:05 UTC
So either it is a functional bug, or a Slides and Doc bug.

Comment 5 Xingxing Xia 2020-08-26 11:48:53 UTC
Verified in 4.6.0-0.nightly-2020-08-26-060336:
$ oc get PodNetworkConnectivityCheck -n openshift-kube-apiserver
apiserver-zhsun826gcp-lxqxk-master-0.c.openshift-qe.internal-to-etcd-server-zhsun826gcp-lxqxk-master-0.c.openshift-qe.internal                     65m
...
apiserver-zhsun826gcp-lxqxk-master-2.c.openshift-qe.internal-to-load-balancer-api-internal                                                         65m


Note You need to log in before you can comment on or make changes to this bug.